/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package fxmluebung;

import java.io.File;
import java.net.URL;
import java.util.List;
import java.util.ResourceBundle;
import javafx.collections.ObservableList;
import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.fxml.Initializable;
import javafx.scene.control.SelectionMode;
import javafx.scene.control.TableColumn;
import javafx.scene.control.TablePosition;
import javafx.scene.control.TableView;
import javafx.scene.layout.BorderPane;
import javafx.stage.FileChooser;

/**
 *
 * @author dt
 */
public class FXMLDocumentController implements Initializable {

    @FXML
    private BorderPane pane;

    //data ist die eine liste mit den tabelleneintraegen
    ObservableList<Pfad> data;

    @FXML
    private TableView<Pfad> tabelle;
    @FXML
    private TableColumn<TableView, String> spaltePfad;

    @Override
    public void initialize(URL url, ResourceBundle rb) {
//        person = new Person();
//        this.person.vornameProperty().bind(this.vorname.textProperty());
//        this.person.nachnameProperty().bind(this.nachname.textProperty());
//        this.person.emailleProperty().bind(this.emaille.textProperty());
        data = tabelle.getItems();

        // allow selection of individual cells (instead of entire rows):
        tabelle.getSelectionModel().setCellSelectionEnabled(true);

        // allow selection of multiple cells at once:
        tabelle.getSelectionModel().setSelectionMode(SelectionMode.MULTIPLE);

    }

    private void addRow(ActionEvent event) {
        data.add(new Pfad("/tmp"));
    }

    @FXML
    private void zeigeDateiauswahl(ActionEvent event) {
        final FileChooser fileChooser = new FileChooser();
        List<File> fileListe
                = fileChooser.showOpenMultipleDialog(pane.getScene().getWindow());

        for (File file : fileListe) {
            System.out.println(file.toString());
            data.add(new Pfad(file.toString()));
        }

    }

    @FXML
    private void getSelected(ActionEvent event) {
        ObservableList<TablePosition> playlist = tabelle.getSelectionModel().getSelectedCells();
        
        for(TablePosition pos: playlist){
            System.out.println(data.get(pos.getRow()).getPfad());
        }
    }

    
    
}
